<!--
 * Copyright 2011 IHE International (http://www.ihe.net)
 *
 * Licensed under the Apache License, Version 2.0 (the "License");
 * you may not use this file except in compliance with the License.
 * You may obtain a copy of the License at
 *
 * http://www.apache.org/licenses/LICENSE-2.0
 *
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and
 * limitations under the License.
 -->

<ui:composition xmlns="http://www.w3.org/1999/xhtml"
                xmlns:ui="http://java.sun.com/jsf/facelets"
                xmlns:h="http://java.sun.com/jsf/html"
                xmlns:f="http://java.sun.com/jsf/core"
                xmlns:s="http://jboss.org/schema/seam/taglib"
                xmlns:a4j="http://richfaces.org/a4j"
                xmlns:rich="http://richfaces.org/rich"
                xmlns:g="http://www.ihe.net/gazelle"
                xmlns:gazelle="http://java.sun.com/jsf/composite/gazelle-tags"
                xmlns:gdk="http://www.ihe.net/gazellecdk">

    <div id="displayDiv" class="row">
        <div id="firstCell" class="col-md-2">
            <h:outputText id="#{filterId}Name#{idSuffix}" value="#{filterName}"/>

        </div>
        <div id="secondCell" class="col-md-10">

            <gazelle:div id="#{filterId}DivSelect#{idSuffix}">
                <script type="text/javascript">
                    function call#{filterId}
                    Sugestion#{idSuffix}()
                    {
                        var input =
                        #{rich:jQuery(filterSuggestBean.getSuggestionId(filterId, idSuffix))}
                    .
                        find(':input:visible');
                        if (input.val() == "") {
                            input.val(" ");
                        }
                        input.trigger('keydown');
                    }
                </script>
                <h:panelGrid columns="3" border="0" cellpadding="0" cellspacing="0">
                    <rich:autocomplete id="#{filterId}Suggestion#{idSuffix}"
                                       layout="table" minChars="0" autofill="false" mode="ajax"
                                       autocompleteMethod="#{filter.suggesters[filterId].suggest}"
                                       var="selectedValue" width="#{filterWidth}" height="240"
                                       fetchValue="#{filter.formatters[filterId].formatLabel(selectedValue)}"
                                       value="#{filter.stringValues[filterId]}"
                                       onclick="call#{filterId}Sugestion#{idSuffix}();#{rich:component(filterSuggestBean.getSuggestionId(filterId, idSuffix))}.showPopup();">
                        <h:column>
                            <h:outputText
                                    value="#{filter.formatters[filterId].formatCount(selectedValue)}"/>
                        </h:column>
                        <h:column>
                            <h:outputText
                                    value="#{filter.formatters[filterId].formatLabel(selectedValue)}"/>
                        </h:column>
                        <a4j:ajax event="selectitem"
                                  execute="#{filterId}Suggestion#{idSuffix} @this"
                                  listener="#{filter.updateFilterVal(filterId)}"
                                  render="#{filterId}Suggestion#{idSuffix} #{filterForm}"/>
                    </rich:autocomplete>
                    <span class="gzl-icon-caret-down"
                            onclick="call#{filterId}Sugestion#{idSuffix}();#{rich:component(filterSuggestBean.getSuggestionId(filterId, idSuffix))}.showPopup();"/>

                    <a4j:commandLink event="click" actionListener="#{filter.resetField(filterId)}"
                                     render="#{filterForm}" execute="@this">

                        <span class="gzl-icon-times-blue"/>
                    </a4j:commandLink>

                </h:panelGrid>

            </gazelle:div>
            <gazelle:div rendered="#{filterSuggestBean.supportsLink(filter, filterId)}">

			<span title="Details"> <g:imagelink
                    value="#{filter.getRealFilterValue(filterId)}" fontIcon="gzl-icon-info-circle"
                    target="_blank"/>
			</span>
            </gazelle:div>
        </div>
    </div>

</ui:composition>
